Method | Description | |
---|---|---|
Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result |
Implement this method as an external command for Revit.
|
|
GetSelectedModelLinesAndArcs ( System.Windows.Forms.Document document ) : ElementSet |
Get all model and detail lines/arcs within selected elements
|
Method | Description | |
---|---|---|
GetAllLabelsOfGrids ( System.Windows.Forms.Document document ) : |
Get all grid labels in current document
|
|
GetLengthUnitType ( System.Windows.Forms.Document document ) : DisplayUnitType |
Get current length display unit type
|
|
GetSelectedCurves ( System.Windows.Forms.Document document ) : CurveArray |
Get all selected lines and arcs
|
public Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result | ||
commandData | ExternalCommandData | An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view. |
message | string | A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command. |
elements | Autodesk | A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation. |
return | Autodesk.Revit.UI.Result |
public static GetSelectedModelLinesAndArcs ( System.Windows.Forms.Document document ) : ElementSet | ||
document | System.Windows.Forms.Document | Revit's document |
return | ElementSet |